<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:04 CET 2009 -->
<TITLE>
AggregatingUnaryOperator
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.operator.AggregatingUnaryOperator interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AggregatingUnaryOperator";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AggregatingUnaryOperator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/operator/AggregatingUnaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AggregatingUnaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.operator</FONT>
<BR>
Interface AggregatingUnaryOperator&lt;T,A&gt;</H2>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingUnaryOperator.html#line.44"><B>AggregatingUnaryOperator&lt;T,A&gt;</B></A></DL>
</PRE>

<P>
The <code>AggregatingUnaryOperator</code> performs an operation on an operand 
 array and returns a single output value of the same type. A typical operation
 is the sum over all elements of a vector.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">AggregatingUnaryOperator.Id</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constants identifying standard operators of this kind</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html#operate(A[], int, int, int, int)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>[]&nbsp;src,
               int&nbsp;srcRowFrom,
               int&nbsp;srcColFrom,
               int&nbsp;rows,
               int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the aggregating unary operation &oplus; on matrix elements and 
 returns the result:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html#operate(A[], int, int, int, int, A, int)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>[]&nbsp;src,
               int&nbsp;srcRowFrom,
               int&nbsp;srcColFrom,
               int&nbsp;rows,
               int&nbsp;cols,
               <A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>&nbsp;dst,
               int&nbsp;dstIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the aggregating unary operation &oplus; on matrix elements, 
 writing the result back into an array:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html#operate(A, int, int)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>&nbsp;src,
               int&nbsp;srcIndexFrom,
               int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the aggregating unary operation &oplus; on array elements and 
 returns the result:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html#operate(A, int, int, A, int)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>&nbsp;src,
               int&nbsp;srcIndexFrom,
               int&nbsp;length,
               <A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>&nbsp;dst,
               int&nbsp;dstIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the aggregating unary operation &oplus; on array elements, 
 writing the result back into an array:</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="operate(java.lang.Object,int,int)"><!-- --></A><A NAME="operate(A, int, int)"><!-- --></A><H3>
operate</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">T</A> <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingUnaryOperator.html#line.58"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>&nbsp;src,
          int&nbsp;srcIndexFrom,
          int&nbsp;length)</PRE>
<DL>
<DD>Performs the aggregating unary operation &oplus; on array elements and 
 returns the result:
 <pre>
   return = &oplus; ( src1[off : off+len-1] )
     off  : srcIndexFrom        
     len  : length
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the operand array<DD><CODE>srcIndexFrom</CODE> - the start index in the operand's array, inclusive<DD><CODE>length</CODE> - the number of vector elements to consider</DL>
</DD>
</DL>
<HR>

<A NAME="operate(java.lang.Object,int,int,int,int)"><!-- --></A><A NAME="operate(A[], int, int, int, int)"><!-- --></A><H3>
operate</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">T</A> <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingUnaryOperator.html#line.75"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>[]&nbsp;src,
          int&nbsp;srcRowFrom,
          int&nbsp;srcColFrom,
          int&nbsp;rows,
          int&nbsp;cols)</PRE>
<DL>
<DD>Performs the aggregating unary operation &oplus; on matrix elements and 
 returns the result:
 <pre>
   return = &oplus; ( src1[row : row+rows-1][col : col+cols-1] )
     row  : srcRowFrom  
     col  : srcColFrom  
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the operand matrix<DD><CODE>srcRowFrom</CODE> - the start row index in the operand matrix, inclusive<DD><CODE>srcColFrom</CODE> - the start column index in the operand matrix, inclusive<DD><CODE>rows</CODE> - the number of rows to consider<DD><CODE>cols</CODE> - the number of columns to consider</DL>
</DD>
</DL>
<HR>

<A NAME="operate(java.lang.Object,int,int,java.lang.Object,int)"><!-- --></A><A NAME="operate(A, int, int, A, int)"><!-- --></A><H3>
operate</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingUnaryOperator.html#line.93"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>&nbsp;src,
             int&nbsp;srcIndexFrom,
             int&nbsp;length,
             <A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>&nbsp;dst,
             int&nbsp;dstIndex)</PRE>
<DL>
<DD>Performs the aggregating unary operation &oplus; on array elements, 
 writing the result back into an array:
 <pre>
 dst[ind] = &oplus; ( src1[off : off+len-1] )
     ind  : dstIndex    
     off  : srcIndexFrom        
     len  : length
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the operand array<DD><CODE>srcIndexFrom</CODE> - the start index in the operand vector, inclusive<DD><CODE>length</CODE> - the number of vector elements to consider<DD><CODE>dst</CODE> - the result array<DD><CODE>dstIndex</CODE> - the index in the result array</DL>
</DD>
</DL>
<HR>

<A NAME="operate(java.lang.Object,int,int,int,int,java.lang.Object,int)"><!-- --></A><A NAME="operate(A[], int, int, int, int, A, int)"><!-- --></A><H3>
operate</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingUnaryOperator.html#line.113"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>[]&nbsp;src,
             int&nbsp;srcRowFrom,
             int&nbsp;srcColFrom,
             int&nbsp;rows,
             int&nbsp;cols,
             <A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="type parameter in AggregatingUnaryOperator">A</A>&nbsp;dst,
             int&nbsp;dstIndex)</PRE>
<DL>
<DD>Performs the aggregating unary operation &oplus; on matrix elements, 
 writing the result back into an array:
 <pre>
 dst[ind] = &oplus; ( src1[row : row+rows-1][col : col+cols-1] )
     ind  : dstIndex    
     row  : srcRowFrom  
     col  : srcColFrom  
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the operand matrix<DD><CODE>srcRowFrom</CODE> - the start row index in the operand matrix, inclusive<DD><CODE>srcColFrom</CODE> - the start column index in the operand matrix, inclusive<DD><CODE>rows</CODE> - the number of rows to consider<DD><CODE>cols</CODE> - the number of columns to consider<DD><CODE>dst</CODE> - the result array<DD><CODE>dstIndex</CODE> - the index in the result array</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AggregatingUnaryOperator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/operator/AggregatingUnaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AggregatingUnaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
